/*
 * Performance Metrics Name Space Map
 * Built by pmgenmap.sh from the file
 * procmetrics.map
 * on Wed Jun 14 17:39:41 UTC 2023
 *
 * Do not edit this file!
 */

/*
 *
 * metric names and access macros for photoproc.[ch]
 * use the hotproc variants here, and at runtime we
 * switch metrics (proc.* or hotproc.*) via pointer
 * manipulation.
 *
 */
const char *procmetrics[] = {
/* /proc/pid/stat */
#define TASK_GEN_NAME	0
	"hotproc.psinfo.cmd",
#define TASK_GEN_STATE	1
	"hotproc.psinfo.sname",
#define TASK_GEN_PPID	2
	"hotproc.psinfo.ppid",
#define TASK_MEM_MINFLT	3
	"hotproc.psinfo.minflt",
#define TASK_MEM_MAJFLT	4
	"hotproc.psinfo.maj_flt",
#define TASK_CPU_UTIME	5
	"hotproc.psinfo.utime",
#define TASK_CPU_STIME	6
	"hotproc.psinfo.stime",
#define TASK_CPU_PRIO	7
	"hotproc.psinfo.priority",
#define TASK_CPU_NICE	8
	"hotproc.psinfo.nice",
#define TASK_GEN_BTIME	9
	"hotproc.psinfo.start_time",
#define TASK_MEM_VMEM	10
	"hotproc.psinfo.vsize",
#define TASK_MEM_RMEM	11
	"hotproc.psinfo.rss",
#define TASK_CPU_CURCPU	12
	"hotproc.psinfo.processor",
#define TASK_CPU_RTPRIO	13
	"hotproc.psinfo.rt_priority",
#define TASK_CPU_POLICY	14
	"hotproc.psinfo.policy",
#define TASK_CPU_BLKDELAY	15
	"hotproc.psinfo.delayacct_blkio_time",
#define TASK_GEN_WCHAN	16
	"hotproc.psinfo.wchan_s",

/* /proc/pid/status */
#define TASK_GEN_NTHR	17
	"hotproc.psinfo.threads",
#define TASK_GEN_TGID	18
	"hotproc.psinfo.tgid",
#define TASK_GEN_PID	19
	"hotproc.psinfo.pid",
#define TASK_GEN_ENVID	20
	"hotproc.namespaces.envid",
#define TASK_GEN_VPID	21
	"hotproc.namespaces.vpid",
#define TASK_GEN_RUID	22
	"hotproc.id.uid",
#define TASK_GEN_EUID	23
	"hotproc.id.euid",
#define TASK_GEN_SUID	24
	"hotproc.id.suid",
#define TASK_GEN_FSUID	25
	"hotproc.id.fsuid",
#define TASK_GEN_RGID	26
	"hotproc.id.gid",
#define TASK_GEN_EGID	27
	"hotproc.id.egid",
#define TASK_GEN_SGID	28
	"hotproc.id.sgid",
#define TASK_GEN_FSGID	29
	"hotproc.id.fsgid",
#define TASK_MEM_VDATA	30
	"hotproc.memory.vmdata",
#define TASK_MEM_VSTACK	31
	"hotproc.memory.vmstack",
#define TASK_MEM_VEXEC	32
	"hotproc.memory.vmexe",
#define TASK_MEM_VLIBS	33
	"hotproc.memory.vmlib",
#define TASK_MEM_VSWAP	34
	"hotproc.memory.vmswap",
#define TASK_MEM_VLOCK	35
	"hotproc.memory.vmlock",

/* /proc/pid/io */
#define TASK_DSK_RSZ	36
	"hotproc.io.read_bytes",
#define TASK_DSK_WSZ	37
	"hotproc.io.write_bytes",
#define TASK_DSK_CWSZ	38
	"hotproc.io.cancelled_write_bytes",

/* /proc/pid/schedstat */
#define TASK_CPU_RUNDELAY	39
	"hotproc.schedstat.run_delay",

/* /proc/pid/smaps_rollup */
#define TASK_MEM_PMEM	40
	"hotproc.smaps.pss",

/* getpwuid */
#define TASK_GEN_RUIDNM	41
	"hotproc.id.uid_nm",
#define TASK_GEN_EUIDNM	42
	"hotproc.id.euid_nm",
#define TASK_GEN_SUIDNM	43
	"hotproc.id.suid_nm",
#define TASK_GEN_FSUIDNM	44
	"hotproc.id.fsuid_nm",

/* getgruid */
#define TASK_GEN_RGIDNM	45
	"hotproc.id.gid_nm",
#define TASK_GEN_EGIDNM	46
	"hotproc.id.egid_nm",
#define TASK_GEN_SGIDNM	47
	"hotproc.id.sgid_nm",
#define TASK_GEN_FSGIDNM	48
	"hotproc.id.fsgid_nm",

/* /proc/pid/cgroup */
#define TASK_GEN_CONTAINER	49
	"hotproc.id.container",
#define TASK_GEN_CGROUP	50
	"hotproc.psinfo.cgroups",

/* end marker - provides count */
#define TASK_NMETRICS	51
	".",

};

